# Generated by Django 4.1.3 on 2022-11-29 00:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mapnode",
            name="current",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="current",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="east",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="east",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="north",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="north",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="south",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="south",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="west",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="west",
                to="game.node",
            ),
        ),
    ]
